summaryrefslogtreecommitdiff
path: root/ci/script.sh
diff options
context:
space:
mode:
authorHomu <homu@barosl.com>2017-04-16 06:11:28 +0900
committerHomu <homu@barosl.com>2017-04-16 06:11:28 +0900
commit635c8718eede6d7f6a50cf9954a9af8603d2fa1d (patch)
tree6faeff26b5dd177130a4dbac9020a53e8a7099ae /ci/script.sh
parent44c0ecbc42bc8f5ea132aa07cc612139a2cd74b0 (diff)
parent56f5a0a0068c6a7ba69d5b91bf05f664b6dfc1a4 (diff)
downloadnix-635c8718eede6d7f6a50cf9954a9af8603d2fa1d.zip
Auto merge of #536 - nix-rust:new-ci/master, r=kamalmarhubi
Merge New CI Infrastructure Based on Trust/Cross Into Master See discussion on https://github.com/nix-rust/nix/pull/528. This PR is to track the final decision of whether we are ready to merge the new CI infrastructure (and related bug fixes) back into master. Initially, we know that the branch is not ready to merge (as there are still failing tests). This PR acts as a single point of reference to get the current status of how close we are to merging things back into master. A number of issues with "TRUST CI" in the title have been created for the work that appears to be required to get us to the point where this branch can be merged.
Diffstat (limited to 'ci/script.sh')
-rw-r--r--ci/script.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/ci/script.sh b/ci/script.sh
new file mode 100644
index 00000000..39c3aeec
--- /dev/null
+++ b/ci/script.sh
@@ -0,0 +1,22 @@
+# This script takes care of testing your crate
+
+set -ex
+
+main() {
+ # Build debug and release targets
+ cross build --target $TARGET
+ cross build --target $TARGET --release
+
+ if [ ! -z $DISABLE_TESTS ]; then
+ return
+ fi
+
+ # Run tests on debug and release targets.
+ cross test --target $TARGET
+ cross test --target $TARGET --release
+}
+
+# we don't run the "test phase" when doing deploys
+if [ -z $TRAVIS_TAG ]; then
+ main
+fi